// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: command/security/CertificateHashDataType.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace CertificateHashDataType {

  /// <summary>Holder for reflection information generated from command/security/CertificateHashDataType.proto</summary>
  public static partial class CertificateHashDataTypeReflection {

    #region Descriptor
    /// <summary>File descriptor for command/security/CertificateHashDataType.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static CertificateHashDataTypeReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Ci5jb21tYW5kL3NlY3VyaXR5L0NlcnRpZmljYXRlSGFzaERhdGFUeXBlLnBy",
            "b3RvEhpjZXJ0aWZpY2F0ZV9oYXNoX2RhdGFfdHlwZSKDAgoXQ2VydGlmaWNh",
            "dGVIYXNoRGF0YVR5cGUSYQoOaGFzaF9hbGdvcml0aG0YASABKA4ySS5jZXJ0",
            "aWZpY2F0ZV9oYXNoX2RhdGFfdHlwZS5DZXJ0aWZpY2F0ZUhhc2hEYXRhVHlw",
            "ZS5IYXNoQWxnb3JpdGhtRW51bVR5cGUSGAoQaXNzdWVyX25hbWVfaGFzaBgC",
            "IAEoCRIXCg9pc3N1ZXJfa2V5X2hhc2gYAyABKAkSFQoNc2VyaWFsX251bWJl",
            "chgEIAEoCSI7ChVIYXNoQWxnb3JpdGhtRW51bVR5cGUSCgoGU0hBMjU2EAAS",
            "CgoGU0hBMzg0EAESCgoGU0hBNTEyEAJCmAEKImNvbS5jb2RpYmx5Lm1vZGVs",
            "LmNvbW1hbmQuc2VjdXJpdHlCHENlcnRpZmljYXRlSGFzaERhdGFUeXBlUHJv",
            "dG/KAiJEb21haW5Nb2RlbFxQcm90b1xDb21tYW5kXFNlY3VyaXR54gIuRG9t",
            "YWluTW9kZWxcUHJvdG9cQ29tbWFuZFxTZWN1cml0eVxHUEJNZXRhZGF0YWIG",
            "cHJvdG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::CertificateHashDataType.CertificateHashDataType), global::CertificateHashDataType.CertificateHashDataType.Parser, new[]{ "HashAlgorithm", "IssuerNameHash", "IssuerKeyHash", "SerialNumber" }, null, new[]{ typeof(global::CertificateHashDataType.CertificateHashDataType.Types.HashAlgorithmEnumType) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class CertificateHashDataType : pb::IMessage<CertificateHashDataType>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<CertificateHashDataType> _parser = new pb::MessageParser<CertificateHashDataType>(() => new CertificateHashDataType());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<CertificateHashDataType> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::CertificateHashDataType.CertificateHashDataTypeReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public CertificateHashDataType() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public CertificateHashDataType(CertificateHashDataType other) : this() {
      hashAlgorithm_ = other.hashAlgorithm_;
      issuerNameHash_ = other.issuerNameHash_;
      issuerKeyHash_ = other.issuerKeyHash_;
      serialNumber_ = other.serialNumber_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public CertificateHashDataType Clone() {
      return new CertificateHashDataType(this);
    }

    /// <summary>Field number for the "hash_algorithm" field.</summary>
    public const int HashAlgorithmFieldNumber = 1;
    private global::CertificateHashDataType.CertificateHashDataType.Types.HashAlgorithmEnumType hashAlgorithm_ = global::CertificateHashDataType.CertificateHashDataType.Types.HashAlgorithmEnumType.Sha256;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::CertificateHashDataType.CertificateHashDataType.Types.HashAlgorithmEnumType HashAlgorithm {
      get { return hashAlgorithm_; }
      set {
        hashAlgorithm_ = value;
      }
    }

    /// <summary>Field number for the "issuer_name_hash" field.</summary>
    public const int IssuerNameHashFieldNumber = 2;
    private string issuerNameHash_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string IssuerNameHash {
      get { return issuerNameHash_; }
      set {
        issuerNameHash_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "issuer_key_hash" field.</summary>
    public const int IssuerKeyHashFieldNumber = 3;
    private string issuerKeyHash_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string IssuerKeyHash {
      get { return issuerKeyHash_; }
      set {
        issuerKeyHash_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "serial_number" field.</summary>
    public const int SerialNumberFieldNumber = 4;
    private string serialNumber_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string SerialNumber {
      get { return serialNumber_; }
      set {
        serialNumber_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as CertificateHashDataType);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(CertificateHashDataType other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (HashAlgorithm != other.HashAlgorithm) return false;
      if (IssuerNameHash != other.IssuerNameHash) return false;
      if (IssuerKeyHash != other.IssuerKeyHash) return false;
      if (SerialNumber != other.SerialNumber) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HashAlgorithm != global::CertificateHashDataType.CertificateHashDataType.Types.HashAlgorithmEnumType.Sha256) hash ^= HashAlgorithm.GetHashCode();
      if (IssuerNameHash.Length != 0) hash ^= IssuerNameHash.GetHashCode();
      if (IssuerKeyHash.Length != 0) hash ^= IssuerKeyHash.GetHashCode();
      if (SerialNumber.Length != 0) hash ^= SerialNumber.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HashAlgorithm != global::CertificateHashDataType.CertificateHashDataType.Types.HashAlgorithmEnumType.Sha256) {
        output.WriteRawTag(8);
        output.WriteEnum((int) HashAlgorithm);
      }
      if (IssuerNameHash.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(IssuerNameHash);
      }
      if (IssuerKeyHash.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(IssuerKeyHash);
      }
      if (SerialNumber.Length != 0) {
        output.WriteRawTag(34);
        output.WriteString(SerialNumber);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HashAlgorithm != global::CertificateHashDataType.CertificateHashDataType.Types.HashAlgorithmEnumType.Sha256) {
        output.WriteRawTag(8);
        output.WriteEnum((int) HashAlgorithm);
      }
      if (IssuerNameHash.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(IssuerNameHash);
      }
      if (IssuerKeyHash.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(IssuerKeyHash);
      }
      if (SerialNumber.Length != 0) {
        output.WriteRawTag(34);
        output.WriteString(SerialNumber);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HashAlgorithm != global::CertificateHashDataType.CertificateHashDataType.Types.HashAlgorithmEnumType.Sha256) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) HashAlgorithm);
      }
      if (IssuerNameHash.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(IssuerNameHash);
      }
      if (IssuerKeyHash.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(IssuerKeyHash);
      }
      if (SerialNumber.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(SerialNumber);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(CertificateHashDataType other) {
      if (other == null) {
        return;
      }
      if (other.HashAlgorithm != global::CertificateHashDataType.CertificateHashDataType.Types.HashAlgorithmEnumType.Sha256) {
        HashAlgorithm = other.HashAlgorithm;
      }
      if (other.IssuerNameHash.Length != 0) {
        IssuerNameHash = other.IssuerNameHash;
      }
      if (other.IssuerKeyHash.Length != 0) {
        IssuerKeyHash = other.IssuerKeyHash;
      }
      if (other.SerialNumber.Length != 0) {
        SerialNumber = other.SerialNumber;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            HashAlgorithm = (global::CertificateHashDataType.CertificateHashDataType.Types.HashAlgorithmEnumType) input.ReadEnum();
            break;
          }
          case 18: {
            IssuerNameHash = input.ReadString();
            break;
          }
          case 26: {
            IssuerKeyHash = input.ReadString();
            break;
          }
          case 34: {
            SerialNumber = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            HashAlgorithm = (global::CertificateHashDataType.CertificateHashDataType.Types.HashAlgorithmEnumType) input.ReadEnum();
            break;
          }
          case 18: {
            IssuerNameHash = input.ReadString();
            break;
          }
          case 26: {
            IssuerKeyHash = input.ReadString();
            break;
          }
          case 34: {
            SerialNumber = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the CertificateHashDataType message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum HashAlgorithmEnumType {
        [pbr::OriginalName("SHA256")] Sha256 = 0,
        [pbr::OriginalName("SHA384")] Sha384 = 1,
        [pbr::OriginalName("SHA512")] Sha512 = 2,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
